EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • POST
        Create a archive request
      • POST
        Create a revision
      • GET
        List checks for a dataset version
      • POST
        Create a contract check request
      • GET
        List deletion eligibility for a dataset version
      • GET
        List health for a dataset version
      • POST
        Create a health recompute request
      • GET
        List provenance summary for a dataset version
      • POST
        Create a repair task generation request
      • GET
        List reproducibility bundle for a dataset version
      • POST
        Create a split plan
      • GET
        List training jobs for a dataset version
      • GET
        List diff for a dataset version
      • POST
        Create a dataset
      • GET
        Get a dataset
      • PATCH
        Update a dataset
      • PUT
        Update a draft
      • POST
        ADR 0073: import QWen auto-annotate draft → writeback + optional search index rebuild.
      • GET
        List frame spatial annotations for a dataset
      • POST
        Create a frame spatial annotation
      • DELETE
        Delete a frame spatial annotation
      • PATCH
        Update a frame spatial annotation
      • GET
        List lineage for a dataset
      • GET
        List studio for a dataset
      • GET
        List time range annotations for a dataset
      • POST
        Create a time range annotation
      • DELETE
        Delete a time range annotation
      • PATCH
        Update a time range annotation
      • GET
        List versions for a dataset
      • GET
        List governance tags for a version
      • POST
        Create a governance tag
      • DELETE
        Delete a governance tag
      • PATCH
        Update a governance tag
      • GET
        List governance tags for a item
      • POST
        Create a governance tag
      • DELETE
        Delete a governance tag
      • PATCH
        Update a governance tag
      • GET
        Get a version
      • POST
        Create a derived version
      • GET
        List files for a version
      • GET
        List items for a version
      • GET
        List lineage for a version
      • GET
        List metadata for a version
      • GET
        List processing gate for a version
      • POST
        Create a publication request
      • POST
        Create a quality check job
      • GET
        List quality report for a version
      • GET
        List quality summary for a version
      • GET
        List signed files for a version
      • GET
        List topics for a version
      • POST
        Create a visibility restoration
      • GET
        List edges for a lineage
      • GET
        List downstream for a node
      • GET
        List upstream for a node
      • GET
        List capture sessions in a project
      • POST
        Create a capture session
      • GET
        List data contracts for a project
      • POST
        Create a data contract
      • GET
        List datasets for a project
      • GET
        List health for a project
      • GET
        List recordings in a project
      • POST
        Create a recording from an upload session or a one-way Hugging Face Hub import
      • DELETE
        Move a recording to trash
      • GET
        Get a recording
      • PATCH
        Patch recording name and tags
      • GET
        Get anonymization evidence and spot-check status for a recording
      • POST
        Create a consent-document upload for a human recording
      • POST
        Complete a consent-document upload after the object is stored
      • POST
        Confirm a privacy spot check for the latest processing result
      • GET
        What the latest processing result of a recording holds: cameras, columns, features, rate and duration
      • PUT
        Assign or clear a recording capture session
    • Upload
      • Episodes and versions
        • Annotation
          • Quality and tasks
            • Search
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Recordings
                              4. Update a draft

                              Update a draft

                              PUT
                              /v1/datasets/{datasetId}/annotations/draft
                              curl -X PUT 'https://api.embodiflow.io/v1/datasets/{datasetId}/annotations/draft' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "datasetVersionId": "00000000-0000-0000-0000-000000000000",
                                  "timeRangeAnnotations": [
                                    {
                                      "datasetVersionId": "00000000-0000-0000-0000-000000000000",
                                      "annotationSchemaId": "00000000-0000-0000-0000-000000000000",
                                      "segmentKind": "action",
                                      "startSec": 0,
                                      "startNsec": 0,
                                      "endSec": 0,
                                      "endNsec": 0,
                                      "timeReference": "string",
                                      "title": "string",
                                      "naturalLanguageInstruction": "string",
                                      "success": true,
                                      "score": 0,
                                      "failureReason": "string",
                                      "parentId": "00000000-0000-0000-0000-000000000000",
                                      "orderIndex": 0,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "attributesJson": {}
                                    }
                                  ],
                                  "frameSpatialAnnotations": [
                                    {
                                      "datasetVersionId": "00000000-0000-0000-0000-000000000000",
                                      "datasetVersionFileId": "00000000-0000-0000-0000-000000000000",
                                      "frameIndex": 0,
                                      "frameStampSec": 0,
                                      "frameStampNsec": 0,
                                      "timeReference": "string",
                                      "datasetClassId": "00000000-0000-0000-0000-000000000000",
                                      "className": "string",
                                      "trackId": "string",
                                      "trackKey": "string",
                                      "bboxX": 0,
                                      "bboxY": 0,
                                      "bboxWidth": 0,
                                      "bboxHeight": 0,
                                      "occluded": true,
                                      "truncated": true,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "attributesJson": {}
                                    }
                                  ]
                                }'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • datasetIdstringrequired

                              Request body

                              Content-Typeapplication/json
                              • datasetVersionIdstring (uuid) | null

                                ADR 0172 D6 optional version scope; additive, omission keeps legacy behavior.

                              • timeRangeAnnotationsarray<CreateDatasetTimeRangeAnnotationBodyDto>required
                                • datasetVersionIdstring (uuid) | null
                                • annotationSchemaIdstring (uuid) | null
                                • segmentKindstring
                                  Allowed values
                                  action
                                  segment
                                  event
                                  phase
                                  quality-issue
                                  task
                                  subtask
                                  skill
                                • startSecnumberrequired
                                • startNsecnumber
                                • endSecnumberrequired
                                • endNsecnumber
                                • timeReferencestringrequired
                                • titlestring | null
                                • naturalLanguageInstructionstring | null
                                • successboolean | null
                                • scorenumber | null
                                • failureReasonstring | null
                                • parentIdstring (uuid) | null
                                • orderIndexnumber
                                • reviewStatusstring
                                • statusstring
                                • attributesJsonobject | null
                              • frameSpatialAnnotationsarray<CreateDatasetFrameSpatialAnnotationBodyDto>required
                                • datasetVersionIdstring (uuid) | null
                                • datasetVersionFileIdstring (uuid)required
                                • frameIndexnumberrequired
                                • frameStampSecnumber | null
                                • frameStampNsecnumber | null
                                • timeReferencestringrequired
                                • datasetClassIdstring (uuid) | null
                                • classNamestring | null
                                • trackIdstring | null
                                • trackKeystring | null
                                • bboxXnumberrequired
                                • bboxYnumberrequired
                                • bboxWidthnumberrequired
                                • bboxHeightnumberrequired
                                • occludedboolean | null
                                • truncatedboolean | null
                                • reviewStatusstring
                                • statusstring
                                • attributesJsonobject | null

                              Responses

                              Success

                              • dataobjectrequired
                                • timeRangeAnnotationsarray<DatasetTimeRangeAnnotationDto>required
                                • frameSpatialAnnotationsarray<DatasetFrameSpatialAnnotationDto>required
                              Response example
                              {
                                "data": {
                                  "timeRangeAnnotations": [
                                    {
                                      "id": "string",
                                      "tenantId": "string",
                                      "projectId": "string",
                                      "datasetId": "string",
                                      "datasetVersionId": "string",
                                      "annotationSchemaId": "string",
                                      "segmentKind": "string",
                                      "startSec": 0,
                                      "startNsec": 0,
                                      "endSec": 0,
                                      "endNsec": 0,
                                      "timeReference": "string",
                                      "title": "string",
                                      "naturalLanguageInstruction": "string",
                                      "success": false,
                                      "score": 0,
                                      "failureReason": "string",
                                      "parentId": "string",
                                      "orderIndex": 0,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "publishedSnapshotId": "string",
                                      "createdBy": "string",
                                      "updatedBy": "string",
                                      "createdAt": "string",
                                      "updatedAt": "string",
                                      "deletedAt": "string",
                                      "attributesJson": {}
                                    }
                                  ],
                                  "frameSpatialAnnotations": [
                                    {
                                      "id": "string",
                                      "tenantId": "string",
                                      "projectId": "string",
                                      "datasetId": "string",
                                      "datasetVersionId": "string",
                                      "datasetVersionFileId": "string",
                                      "frameIndex": 0,
                                      "frameStampSec": 0,
                                      "frameStampNsec": 0,
                                      "timeReference": "string",
                                      "datasetClassId": "string",
                                      "className": "string",
                                      "trackId": "string",
                                      "trackKey": "string",
                                      "bboxX": 0,
                                      "bboxY": 0,
                                      "bboxWidth": 0,
                                      "bboxHeight": 0,
                                      "occluded": false,
                                      "truncated": false,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "publishedSnapshotId": "string",
                                      "createdBy": "string",
                                      "updatedBy": "string",
                                      "createdAt": "string",
                                      "updatedAt": "string",
                                      "deletedAt": "string",
                                      "attributesJson": {}
                                    }
                                  ]
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              PATCH /datasets/{datasetId}

                              Next

                              POST /datasets/{datasetId}/auto-annotate-imports

                              curl -X PUT 'https://api.embodiflow.io/v1/datasets/{datasetId}/annotations/draft' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "datasetVersionId": "00000000-0000-0000-0000-000000000000",
                                  "timeRangeAnnotations": [
                                    {
                                      "datasetVersionId": "00000000-0000-0000-0000-000000000000",
                                      "annotationSchemaId": "00000000-0000-0000-0000-000000000000",
                                      "segmentKind": "action",
                                      "startSec": 0,
                                      "startNsec": 0,
                                      "endSec": 0,
                                      "endNsec": 0,
                                      "timeReference": "string",
                                      "title": "string",
                                      "naturalLanguageInstruction": "string",
                                      "success": true,
                                      "score": 0,
                                      "failureReason": "string",
                                      "parentId": "00000000-0000-0000-0000-000000000000",
                                      "orderIndex": 0,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "attributesJson": {}
                                    }
                                  ],
                                  "frameSpatialAnnotations": [
                                    {
                                      "datasetVersionId": "00000000-0000-0000-0000-000000000000",
                                      "datasetVersionFileId": "00000000-0000-0000-0000-000000000000",
                                      "frameIndex": 0,
                                      "frameStampSec": 0,
                                      "frameStampNsec": 0,
                                      "timeReference": "string",
                                      "datasetClassId": "00000000-0000-0000-0000-000000000000",
                                      "className": "string",
                                      "trackId": "string",
                                      "trackKey": "string",
                                      "bboxX": 0,
                                      "bboxY": 0,
                                      "bboxWidth": 0,
                                      "bboxHeight": 0,
                                      "occluded": true,
                                      "truncated": true,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "attributesJson": {}
                                    }
                                  ]
                                }'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "timeRangeAnnotations": [
                                    {
                                      "id": "string",
                                      "tenantId": "string",
                                      "projectId": "string",
                                      "datasetId": "string",
                                      "datasetVersionId": "string",
                                      "annotationSchemaId": "string",
                                      "segmentKind": "string",
                                      "startSec": 0,
                                      "startNsec": 0,
                                      "endSec": 0,
                                      "endNsec": 0,
                                      "timeReference": "string",
                                      "title": "string",
                                      "naturalLanguageInstruction": "string",
                                      "success": false,
                                      "score": 0,
                                      "failureReason": "string",
                                      "parentId": "string",
                                      "orderIndex": 0,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "publishedSnapshotId": "string",
                                      "createdBy": "string",
                                      "updatedBy": "string",
                                      "createdAt": "string",
                                      "updatedAt": "string",
                                      "deletedAt": "string",
                                      "attributesJson": {}
                                    }
                                  ],
                                  "frameSpatialAnnotations": [
                                    {
                                      "id": "string",
                                      "tenantId": "string",
                                      "projectId": "string",
                                      "datasetId": "string",
                                      "datasetVersionId": "string",
                                      "datasetVersionFileId": "string",
                                      "frameIndex": 0,
                                      "frameStampSec": 0,
                                      "frameStampNsec": 0,
                                      "timeReference": "string",
                                      "datasetClassId": "string",
                                      "className": "string",
                                      "trackId": "string",
                                      "trackKey": "string",
                                      "bboxX": 0,
                                      "bboxY": 0,
                                      "bboxWidth": 0,
                                      "bboxHeight": 0,
                                      "occluded": false,
                                      "truncated": false,
                                      "reviewStatus": "string",
                                      "status": "string",
                                      "publishedSnapshotId": "string",
                                      "createdBy": "string",
                                      "updatedBy": "string",
                                      "createdAt": "string",
                                      "updatedAt": "string",
                                      "deletedAt": "string",
                                      "attributesJson": {}
                                    }
                                  ]
                                }
                              }